Public Class MultVar
  Inherits ParseVar
  Dim multVec As ArrayList

  Public Sub New(ByVal v1 As ParseObject, ByVal v2 As ParseObject)
    MyBase.New("")
    multVec = New ArrayList()
    multVec.Add(v1)
    multVec.Add(v2)
    Type = MULTVAR
  End Sub

  Public Sub New()
    MyBase.New("")
    multVec = New ArrayList()
    Type = MULTVAR
  End Sub

  Public Sub add(ByVal v1 As ParseObject)
    multVec.Add(v1)
  End Sub

  Public Function getVector() As ArrayList
    Return multVec
  End Function

End Class
